rm(list=ls())

install.packages("lme4");install.packages("data.table");install.packages("lmerTest");install.packages("ggplot2");
install.packages("boot");install.packages("car");install.packages("grid");install.packages("gridExtra");
install.packages("maps");install.packages("piecewiseSEM");install.packages("plyr");install.packages("lemon");
install.packages("PerformanceAnalytics");install.packages("fBasics");install.packages("reshape2");
install.packages("vegan");install.packages("dplyr");install.packages("tidyverse");
install.packages("FD");install.packages("plyr");install.packages("multcomp");install.packages("randomForest")
install.packages("picante")
install.packages("speciesgeocodeR")
install.packages("partialPlot")
install.packages("remotes")


library(lme4);library(data.table);library(lmerTest);library(ggplot2); library(boot);library(car);
library(grid);library(gridExtra);library(maps);library(piecewiseSEM);library(plyr);library("lemon");
library("PerformanceAnalytics");library(fBasics);library(reshape2);library(vegan);library(dplyr);
library(tidyverse);
library(FD);library(plyr);library(multcomp);library(randomForest)
library(picante)
library(ggrepel);library(ggfortify)
require(randomForest)
library(remotes)

library(ncdf4);library(rgdal);
library(sp);library(raster);
library(mgcv);
library(broom);library(scales);
library(rgeos)
library(here)
library(lavaan); 
library(lavaan.survey); library(semPlot); library(survey)
library(optimx)




library("ggpmisc")#
library("tidyr")
library("corrplot")


####Define figure theme####
number_ticks <- function(n) {function(limits) pretty(limits, n)}
my.formula <- y ~ x      ####define linear fit in fig 
Ftheme<-theme(              axis.line = element_line(colour = "black"),
                            panel.grid.major = element_blank(),
                            panel.grid.minor = element_blank(),
                            panel.border = element_rect(colour = NA,fill=NA),
                            panel.background = element_blank(),
                            plot.title = element_text(size = 12),
                            axis.text = element_text(size = 12),
                            axis.title = element_text(size = 12),
                            text = element_text(size = 12))+ 
  theme(strip.background = element_blank(),strip.placement = "in")#set a theme for Fig

#####Organic horizon Fig 2 & Table 1####
soil_for_T<-read.csv("Organicsoil.csv") #read data in organic horizon soil
GPRO<-read.csv("Productivity.csv")#Productivity data
GPRO1<-GPRO[,c("nfi_plot","PBioG")]
soil_for_T2<- merge( GPRO1,soil_for_T,by = c("nfi_plot"))
Mod1<-(lm(EAC~(PBioG),soil_for_T2));summary(Mod1)##no significant relationship between changes in C and productivity (also tested in SEM model, but not show here)
Mod12<-(lm(EAN~(PBioG),soil_for_T2));summary(Mod12)##no significant relationship between changes in N and productivity (also tested in SEM model, but not show here)
Mod13<-(lm(EADepth~(PBioG),soil_for_T2));summary(Mod13)
soil_for_T<-data.table(soil_for_T)
soil_for_T <- soil_for_T[ !(nfi_plot == '1355611'),] ####exclude INTENSE GROUND FIRE

soil_for_C_TSEM<-soil_for_T

Mod1<-lm(EAC~Evenness,soil_for_C_TSEM)
summary(Mod1)
Mod2<-lm(EAN~Evenness,soil_for_C_TSEM)
summary(Mod2)

soil_for_C_TSEM<-subset(soil_for_C_TSEM,is.na(site_age)==F)#all data should have stand age
soil_for_C_TSEM$MAPave<-soil_for_C_TSEM$MAPave/1000

soil_for_C_TSEM$site_age<-soil_for_C_TSEM$site_age/1000

soil_for_C_TSEM$EN<-soil_for_C_TSEM$EN/100
soil_for_C_TSEM$EC<-soil_for_C_TSEM$EC/1000
soil_for_C_TSEM$EADepth<-soil_for_C_TSEM$EADepth*10
soil_for_C_TSEM$EAC<-soil_for_C_TSEM$EAC/10
soil_for_C_TSEM$CMIave<-soil_for_C_TSEM$CMIave/1000


soil_for_C_TSEM$ETC<-soil_for_C_TSEM$ETC/100
OSC_full_C<- '
EAC~EADepth+CMIave+PC2+site_age

EADepth~MATave+CMIave+EDepth+Evenness+PC2+EC+site_age

Evenness~ MATave 


PC2~MATave+ EDepth+site_age+CMIave
   

EC~site_age+MATave+CMIave






'
OSC_full_C1<- sem(OSC_full_C, data=soil_for_C_TSEM,fixed.x = FALSE)  # run model
AIC(OSC_full_C1)

fitMeasures(OSC_full_C1, c("chisq", "df", "pvalue", "cfi", "rmsea","gfi","rmr","srmr"))
summary(OSC_full_C1, modindices=T)

standardizedSolution(OSC_full_C1)
inspect(OSC_full_C1, "r2")
datOSC<-data.frame(coef(OSC_full_C1))
write.csv(datOSC,"datOSC.csv")


data_fig2311<-data.frame(c(0.66,0,0,0,0,0,-0.12,0.09),c("Direct","Direct","Direct","Direct","Direct","Direct","Direct","Direct"))
data_fig2312<-data.frame(c(0,0.07,0.07,-0.31,0.16,-0.14,0.13,0.03),c("Indirect","Indirect","Indirect","Indirect","Indirect","Indirect","Indirect","Indirect"))
names(data_fig2311)<-c("value","path")
names(data_fig2312)<-c("value","path")
data_fig231<-rbind(data_fig2311,data_fig2312)
data_fig231$variable<-rep(c("DeltaDepth","Evenness","CWM[PC2]","Initialsoildepth","SoiltotalC","MAT","CMI","Standage"),2)
data_fig231$value<-as.numeric(data_fig231$value)
data_fig231$variable<-factor(data_fig231$variable,levels=c("DeltaDepth","Evenness","CWM[PC2]","Initialsoildepth","SoiltotalC","MAT","CMI","Standage"),
                             labels=c(expression(Delta~Thickness),expression("atop('Species','evenness')"),expression(CWM[PC2]),expression("atop('Horizon','thickness')"),expression(Soil~C~content),expression(MAT),expression(CMI),expression(Stand~age)))
fig231<-ggplot(data_fig231,aes(x=variable,y=value,fill=path))+
  geom_bar(stat="identity", width=0.5)+
  scale_x_discrete(labels = ggplot2:::parse_safe,name=c(""),limits=rev)+
  ylab(expression(Standardized~effect~size~"("~beta~")"))+ scale_y_continuous(breaks=number_ticks(4))+
  
  theme(panel.spacing.y=unit(1, "lines"))+
  geom_hline(yintercept=0)+
  theme(legend.position = c(0.8,0.1),
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,1,1,0),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 20),
        axis.title = element_text(size = 20),
        legend.text = element_text(size = 20),
        
        legend.title = element_blank())+
  coord_flip()

fig231###Fig 2 b

OSC_full_N<- '
EAN~MATave+EADepth+PC2

EADepth~MATave+CMIave+EDepth+Evenness+PC2
PC2~ MATave+site_age+CMIave+EDepth
Evenness~ MATave+EN+site_age
EN~site_age
'
OSC_full_N1<- sem(OSC_full_N, data=soil_for_C_TSEM,fixed.x = FALSE)  # run model
AIC(OSC_full_N1)

fitMeasures(OSC_full_N1, c("chisq", "df", "pvalue", "cfi", "rmsea","gfi","rmr","srmr"))
summary(OSC_full_N1, modindices=T)
summary(soil_for_C_TSEM$EADepth)
standardizedSolution(OSC_full_N1)
inspect(OSC_full_N1, "r2")
datOSN<-data.frame(coef(OSC_full_N1))
write.csv(datOSN,"datOSN.csv")


data_fig2321<-data.frame(c(0.61,0,0,0,-0.09,0,0),c("Direct","Direct","Direct","Direct","Direct","Direct","Direct"))
data_fig2322<-data.frame(c(0,0.07,-0.27,0.01,-0.11,0.11,0.001),c("Indirect","Indirect","Indirect","Indirect","Indirect","Indirect","Indirect"))
names(data_fig2321)<-c("value","path")
names(data_fig2322)<-c("value","path")
data_fig232<-rbind(data_fig2321,data_fig2322)
data_fig232$variable<-rep(c("DeltaDepth","Evenness","Initialsoildepth","SoiltotalN","MAT","CMI","Standage"),2)
data_fig232$value<-as.numeric(data_fig232$value)
data_fig232$variable<-factor(data_fig232$variable,levels=c("DeltaDepth","Evenness","Initialsoildepth","SoiltotalN","MAT","CMI","Standage"),
                             labels=c(expression(Delta~Thickness),expression("atop('Species','evenness')"),expression("atop('Horizon','thickness')"),expression(Soil~N~content),expression(MAT),expression(CMI),expression(Stand~age)))
fig232<-ggplot(data_fig232,aes(x=variable,y=value,fill=path))+
  geom_bar(stat="identity", width=0.5)+
  scale_x_discrete(labels = ggplot2:::parse_safe,name=c(""),limits=rev)+
  ylab(expression(Standardized~effect~size~"("~beta~")"))+ scale_y_continuous(breaks=number_ticks(4))+
  
  theme(panel.spacing.y=unit(1, "lines"))+
  geom_hline(yintercept=0)+
  theme(legend.position = "none",
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,1,1,0),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 20),
        axis.title = element_text(size = 20),
        legend.text = element_text(size = 20),
        
        legend.title = element_blank())+
  coord_flip()

fig232###Fig 2 d






#### the Mineral horizon soil Fig 3####
setwd("D:/Google Drive/CFI SEM/Nature")
soil_min_T<-read.csv("Mineralsoil.csv") #read Mineral horizon soil

soil_min_T2<- merge( GPRO1,soil_min_T,by = c("nfi_plot"))


Mod1<-(lm(EAN~(PBioG),soil_min_T2));summary(Mod1)##no significant relationship between changes in N and productivity (also tested in SEM model, but not show here)
Mod2<-(lm(EAC~(PBioG),soil_min_T2));summary(Mod2)##no significant relationship between changes in C and productivity (also tested in SEM model, but not show here)


soil_min_T<-data.table(soil_min_T)
soil_min_T <- soil_min_T[ !(nfi_plot == '1355611'),] ####exclude INTENSE GROUND FIRE
soil_min_TSEM<-soil_min_T
soil_min_TSEM$MAPave<-soil_min_TSEM$MAPave/100
Mod1<-(lm(EAC~(Evenness),soil_min_TSEM))

summary(Mod1)
Mod2<-(lm(EAN~(Evenness),soil_min_TSEM))
summary(Mod2)

soil_min_TSEM$MATave<-soil_min_TSEM$MATave/10
soil_min_TSEM$site_age<-soil_min_TSEM$site_age/100
soil_min_TSEM$EC<-(soil_min_TSEM$EC)/1000
soil_min_TSEM$EAN<-soil_min_TSEM$EAN
soil_min_TSEM$CMIave<-soil_min_TSEM$CMIave/1000

MSC_full_C <- '

EAC~FDis+EC+CMIave+PC2+MATave+site_age
FDis~MATave+CMIave+Evenness+R_T
R_T~MATave+CMIave
Evenness~MATave+CMIave


PC2~EC+MATave+CMIave+site_age

EC  ~   site_age+CMIave+MATave
FDis ~~      PC2
R_T ~~ Evenness
'
MSC_full_C1 <- sem(MSC_full_C, data=soil_min_TSEM,fixed.x = FALSE)  # run model
AIC(MSC_full_C1)

fitMeasures(MSC_full_C1, c("chisq", "df", "pvalue", "cfi", "rmsea","gfi","rmr","srmr"))
summary(MSC_full_C1, modindices=T)

standardizedSolution(MSC_full_C1)
inspect(MSC_full_C1, "r2")

datMSC2<-data.frame(standardizedSolution(MSC_full_C1))
write.csv(datMSC2,"datMSC2.csv")
datMSC<-data.frame(coef(MSC_full_C1))
write.csv(datMSC,"datMSC.csv")



data_fig2331<-data.frame(c(0.15,0.13,0,0,-0.48,-0.15,0.30,0),c("Direct","Direct","Direct","Direct","Direct","Direct","Direct","Direct"))
data_fig2332<-data.frame(c(0, 0,0.06,0.09,0,0.08,-0.17,-0.03),c("Indirect","Indirect","Indirect","Indirect","Indirect","Indirect","Indirect","Indirect"))
names(data_fig2331)<-c("value","path")
names(data_fig2332)<-c("value","path")
data_fig233<-rbind(data_fig2331,data_fig2332)
data_fig233$variable<-rep(c("FD[is]","CWM[PC2]","Richness","Evenness","SoiltotalC","MAT","CMI","Standage"),2)

data_fig233$variable<-factor(data_fig233$variable,levels=c("FD[is]","CWM[PC2]","Richness","Evenness","SoiltotalC","MAT","CMI","Standage"),
                             labels=c(expression(FD[is]),expression(CWM[PC2]),expression("atop('Species','richness')"),expression("atop('Species','evenness')"),expression(Soil~C~content),expression(MAT),expression(CMI),expression(Stand~age)))
fig233<-ggplot(data_fig233,aes(x=variable,y=value,fill=path))+
  geom_bar(stat="identity", width=0.5)+
  
  
  scale_x_discrete(labels = ggplot2:::parse_safe,name=c(""),limits=rev)+
  ylab(expression(Standardized~effect~size~"("~beta~")"))+ scale_y_continuous(breaks=number_ticks(4))+
  
  theme(panel.spacing.y=unit(1, "lines"))+
  geom_hline(yintercept=0)+
  theme(legend.position = c(0.83,0.08),
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,1,1,0),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 20),
        axis.title = element_text(size = 20),
        legend.text = element_text(size = 20),
        
        legend.title = element_blank())+
  coord_flip()

fig233####For fig 3b



MSC_full_N <- '

EAN~FDis+EN+CMIave+PC2+MATave+site_age

R_T~MATave+CMIave
Evenness~EN+MATave
FDis~MATave+CMIave+Evenness+R_T
PC2~MATave+CMIave+site_age
EN  ~   MATave +CMIave+site_age
FDis ~~      PC2

R_T ~~ Evenness

'
MSC_full_N1 <- sem(MSC_full_N, data=soil_min_TSEM,fixed.x = FALSE)  # run model
AIC(MSC_full_N1)

fitMeasures(MSC_full_N1, c("chisq", "df", "pvalue", "cfi", "rmsea","gfi","rmr","srmr"))
summary(MSC_full_N1, modindices=T)
datMSN<-data.frame(coef(MSC_full_N1))
summary(soil_min_TSEM$FDis)
summary(soil_min_TSEM$R_T)
summary(soil_min_TSEM$Evenness)
standardizedSolution(MSC_full_N1)
datMSN2<-data.frame(standardizedSolution(MSC_full_N1))
inspect(MSC_full_N1, "r2")
write.csv(datMSN,"datMSN.csv")
write.csv(datMSN2,"datMSN2.csv")

data_fig2341<-data.frame(c(0.21,0.15,0,0,-0.55,-0.16,0.27,0),c("Direct","Direct","Direct","Direct","Direct","Direct","Direct","Direct"))
data_fig2342<-data.frame(c(0, 0,0.08,0.12,0,0.02,-0.10,-0.02),c("Indirect","Indirect","Indirect","Indirect","Indirect","Indirect","Indirect","Indirect"))
names(data_fig2341)<-c("value","path")
names(data_fig2342)<-c("value","path")
data_fig234<-rbind(data_fig2341,data_fig2342)
data_fig234$variable<-rep(c("FD[is]","CWM[PC2]","Richness","Evenness","SoiltotalN","MAT","CMI","Standage"),2)

data_fig234$variable<-factor(data_fig234$variable,levels=c("FD[is]","CWM[PC2]","Richness","Evenness","SoiltotalN","MAT","CMI","Standage"),
                             labels=c(expression(FD[is]),expression(CWM[PC2]),expression("atop('Species','richness')"),expression("atop('Species','evenness')"),expression(Soil~N~content),expression(MAT),expression(CMI),expression(Stand~age)))
fig234<-ggplot(data_fig234,aes(x=variable,y=value,fill=path))+
  geom_bar(stat="identity", width=0.5)+
  scale_x_discrete(labels = ggplot2:::parse_safe,name=c(""),limits=rev)+
  ylab(expression(Standardized~effect~size~"("~beta~")"))+ scale_y_continuous(breaks=number_ticks(4))+
  
  theme(panel.spacing.y=unit(1, "lines"))+
  geom_hline(yintercept=0)+
  theme(legend.position = "none",
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,1,1,0),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 20),
        axis.title = element_text(size = 20),
        legend.text = element_text(size = 20),
        
        legend.title = element_blank())+
  coord_flip()

fig234####For fig 3d



####Use Growing degree-days above base_temp and Total precipitation for growing season to replace MAT and CMI in organic horizon####

soil_for_C_TSEM$GDD<-soil_for_C_TSEM$GDD/100
soil_for_C_TSEM$GP<-soil_for_C_TSEM$GP/1000

OSC_full_C<- '
EAC~EADepth+GP+site_age

EADepth~EC+EDepth+Evenness+PC2+ GDD

Evenness~ GDD 
EDepth~EC

PC2~GDD+ EDepth+GP
   

EC~site_age+GDD+GP






'
OSC_full_C1<- sem(OSC_full_C, data=soil_for_C_TSEM,fixed.x = FALSE)  # run model
AIC(OSC_full_C1)

fitMeasures(OSC_full_C1, c("chisq", "df", "pvalue", "cfi", "rmsea","gfi","rmr","srmr"))
summary(OSC_full_C1, modindices=T)

standardizedSolution(OSC_full_C1)
inspect(OSC_full_C1, "r2")

OSC_full_N<- '
EAN~GDD+EADepth

EADepth~GDD+GP+EDepth+Evenness+PC2+site_age
PC2~ GDD+GP+EDepth
Evenness~ GDD+EN
EN~site_age
'
OSC_full_N1<- sem(OSC_full_N, data=soil_for_C_TSEM,fixed.x = FALSE)  # run model
AIC(OSC_full_N1)

fitMeasures(OSC_full_N1, c("chisq", "df", "pvalue", "cfi", "rmsea","gfi","rmr","srmr"))
summary(OSC_full_N1, modindices=T)

standardizedSolution(OSC_full_N1)
inspect(OSC_full_N1, "r2")






####Use Growing degree-days above base_temp and Total precipitation for growing season to replace MAT and CMI in  Mineral  horizon####
soil_min_TSEM$GDD<-(soil_min_TSEM$GDD)/100
soil_min_TSEM$GP<-soil_min_TSEM$GP/1000
MSC_full_C <- '

EAC~FDis+EC+GP+PC2+GDD+site_age

R_T~GDD+GP
Evenness~GP+EC

FDis~GDD+GP+Evenness+R_T

PC2~GDD

EC  ~   site_age+GP+GDD


FDis ~~      PC2
R_T ~~ Evenness
'
MSC_full_C1 <- sem(MSC_full_C, data=soil_min_TSEM,fixed.x = FALSE)  # run model
AIC(MSC_full_C1)

fitMeasures(MSC_full_C1, c("chisq", "df", "pvalue", "cfi", "rmsea","gfi","rmr","srmr"))
summary(MSC_full_C1, modindices=T)

standardizedSolution(MSC_full_C1)
inspect(MSC_full_C1, "r2")

MSC_full_N <- '

EAN~FDis+EN+GP+PC2+GDD+site_age

R_T~GDD+GP
Evenness~EN+GP
FDis~GDD+GP+Evenness+R_T
PC2~GDD
EN  ~  GP+site_age
FDis ~~      PC2

R_T ~~ Evenness

site_age  ~      GDD
'
MSC_full_N1 <- sem(MSC_full_N, data=soil_min_TSEM,fixed.x = FALSE)  # run model
AIC(MSC_full_N1)

fitMeasures(MSC_full_N1, c("chisq", "df", "pvalue", "cfi", "rmsea","gfi","rmr","srmr"))
summary(MSC_full_N1, modindices=T)
summary(soil_min_TSEM$FDis)
summary(soil_min_TSEM$R_T)
summary(soil_min_TSEM$Evenness)
standardizedSolution(MSC_full_N1)
inspect(MSC_full_N1, "r2")



####calculate the satuation point Extended Fig 8####
soil_min_T$RCC<-soil_min_T$EAC/soil_min_T$ETC*100#relative changes in C
soil_min_T$RCN<-soil_min_T$EAN/soil_min_T$ETN*100#relative changes in N
summary(lm(RCC~EC,soil_min_T))
summary(lm(RCN~EN,soil_min_T))

soil_min_TSP1<-soil_min_T[,c("RCN","EN")]
soil_min_TSP1$point<-c(3.425104)
soil_min_TSP2<-soil_min_T[,c("RCC","EC")]
soil_min_TSP2$point<-c(60.82272)

F1SP<-ggplot(soil_min_TSP2,aes(x=EC,y=RCC)) + 
  geom_point(aes(x=EC,y=RCC),pch=1,size=3,col="blue")+ 
  geom_point(aes(x=EC,y=RCC+20),pch=1,size=3,col=NA)+ 
  geom_smooth(aes(x=EC,y=RCC),col= "red",alpha=0.3, method = 'lm',fill="grey50", formula = y~x)+
  geom_segment(aes(x=point,xend=point,y=-Inf,yend=0),linetype="dashed")+
  geom_hline(aes(yintercept=0),linetype="dashed",colour="black")+
  stat_poly_eq(aes(label =  paste(after_stat(adj.rr.label),
                                  after_stat(p.value.label),
                                  sep = "*\", \"*")),
               formula = my.formula,label.y = "top",
               label.x = "left",
               rr.digits =2,
               p.digits = 3,
               hjust=0 ,vjust=0.65)+
  
  
  xlab("Mineral horizon soil C content"~"(g/kg)")+
  
  ylab(expression("Decadal relative changes in soil C" ~"(%"~decade^-1~")"))+
  scale_y_continuous(breaks=number_ticks(4))+
  scale_x_continuous(breaks=number_ticks(4))+
  theme(panel.spacing.y=unit(1, "lines"))+
  
  theme(legend.position = "top",
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,0.5,1,1),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 12),
        axis.title = element_text(size = 12),
        legend.text = element_text(size = 12),
        
        legend.title = element_text(size = 12))
F1SP



F2SP<-ggplot(soil_min_TSP1,aes(x=EN,y=RCN)) + 
  geom_point(aes(x=EN,y=RCN),pch=1,size=3,col="blue")+ 
  geom_point(aes(x=EN,y=RCN+20),pch=1,size=3,col=NA)+ 
  geom_smooth(aes(x=EN,y=RCN),col= "red",alpha=0.3, method = 'lm',fill="grey50", formula = y~x)+
  geom_segment(aes(x=point,xend=point,y=-Inf,yend=0),linetype="dashed")+
  geom_hline(aes(yintercept=0),linetype="dashed",colour="black")+
  stat_poly_eq(aes(label =  paste(after_stat(adj.rr.label),
                                  after_stat(p.value.label),
                                  sep = "*\", \"*")),
               formula = my.formula,label.y = "top",
               label.x = "left",
               rr.digits =2,
               p.digits = 3,
               hjust=0 ,vjust=0.65)+
  
  
  xlab("Mineral horizon soil N content"~"(g/kg)")+
  
  ylab(expression("Decadal relative changes in soil N"~"(%"~decade^-1~")"))+
  scale_y_continuous(breaks=number_ticks(4))+
  scale_x_continuous(breaks=number_ticks(4))+
  theme(panel.spacing.y=unit(1, "lines"))+
  
  theme(legend.position = "top",
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,1,1,0.5),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 12),
        axis.title = element_text(size = 12),
        legend.text = element_text(size = 12),
        
        legend.title = element_text(size = 12))
F2SP

tiff("FigSP.tiff",height=3000,width=6000,res=600,compression="lzw")
grid.arrange(F1SP,F2SP,widths=c(0.50,0.5))
grid.text("a",x=unit(0.03,"npc"),y=unit(0.98,"npc"),gp=gpar(fontsize=16,col='black',fontface = "bold"))
grid.text("b",x=unit(0.5,"npc"),y=unit(0.98,"npc"),gp=gpar(fontsize=16,col='black',fontface = "bold"))

grid.text("60.8",x=unit(0.238,"npc"),y=unit(0.105,"npc"),gp=gpar(fontsize=12,col='black'))
grid.text("3.4",x=unit(0.69,"npc"),y=unit(0.105,"npc"),gp=gpar(fontsize=12,col='black'))

dev.off()



####Map extend data fig 2####


soil_N_015<-soil_min_T[,c("nfi_plot","longitude","latitude","MAPave","MATave","R_T","Evenness","FDis","PC1","PC2","CMIave")]
soil_N_F<-soil_for_T[,c("nfi_plot","longitude","latitude","MAPave","MATave","R_T","Evenness","FDis","PC1","PC2","CMIave")]


pts<-rbind(soil_N_015,soil_N_F)
pts<-pts[!duplicated(pts$nfi_plot),]
pts<-unique(pts)
factor(pts$nfi_plot)




world<-map_data("world","canada")
pts$CMIave<-pts$CMIave
mapCMI <- ggplot() + 
  geom_polygon(data = world, aes(x=long, y = lat, group = group), fill="#fed976",color="black",size=0.001,alpha=0.4) + 
  coord_fixed(3,ylim = c(40, 70))+
  geom_point(data = pts, aes(x=longitude, y = latitude,col=CMIave),shape=19,alpha=1,size=1.7)+ 
  geom_point(position = "dodge")+
  scale_color_gradientn(colours = rev(rainbow(10)),name=expression(paste("CMI (mm)")))+
  
  theme(panel.background = element_rect(fill= 'lightcyan',colour='lightcyan'),
        axis.line=element_blank(),
        axis.text.x=element_blank(),
        axis.text.y=element_blank(),
        axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),
        panel.border=element_blank(),
        panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),
        plot.background=element_blank(),
        plot.margin=unit(c(0,1,0,1),"lines"))+
  theme(legend.key=element_blank())+
  theme(legend.text = element_text( size = 12))+theme(legend.position = "right",legend.box = "vertical")+
  theme(panel.border = element_rect(colour = "black",fill = NA))
mapCMI
mapMAT <- ggplot() + 
  geom_polygon(data = world, aes(x=long, y = lat, group = group), fill="#fed976",color="black",size=0.001,alpha=0.4) + 
  coord_fixed(3,ylim = c(40, 70))+
  geom_point(data = pts, aes(x=longitude, y = latitude,col=MATave),shape=19,alpha=1,size=1.7)+
  geom_point(position = "dodge")+
  #scale_color_gradientn(colours = rev(rainbow(10)),name=expression(paste("MATave (",degree*C,")")))+
  scale_color_gradientn(colours=c("blue","lightblue","green","yellow","orange","red","red4"),
                        values=c(0,0.4,0.5,0.6,0.7,0.8,1),
                        breaks=c(-5,0,5,9.9),
                        name=expression(paste("MAT (",degree*C,")")))+##Change colours here
  theme(panel.background = element_rect(fill= 'lightcyan',colour='lightcyan'),
        axis.line=element_blank(),
        axis.text.x=element_blank(),
        axis.text.y=element_blank(),
        axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),
        panel.border=element_blank(),
        panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),
        plot.background=element_blank(),
        plot.margin=unit(c(1,1,1,1),"lines"))+
  theme(legend.key=element_blank())+
  theme(legend.text = element_text( size = 12))+theme(legend.position = "right", legend.box = "vertical")+
  theme(panel.border = element_rect(colour = "black",fill = NA))
mapMAT

mapRichness <- ggplot() + 
  geom_polygon(data = world, aes(x=long, y = lat, group = group), fill="#fed976",color="black",size=0.001,alpha=0.4) + 
  coord_fixed(3,ylim = c(40, 70))+
  geom_point(data = pts, aes(x=longitude, y = latitude,col=R_T),shape=19,alpha=1,size=1.7)+ 
  geom_point(position = "dodge")+
  scale_color_gradientn(colours=c('#ffffe5','#f7fcb9','#d9f0a3','#addd8e','#78c679','#41ab5d','#238443','#006837','#004529'),
                        
                        name=c("Species \n richness"))+
  
  theme(panel.background = element_rect(fill= 'lightcyan',colour='lightcyan'),
        axis.line=element_blank(),
        axis.text.x=element_blank(),
        axis.text.y=element_blank(),
        axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),
        panel.border=element_blank(),
        panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),
        plot.background=element_blank(),
        plot.margin=unit(c(1,1,1,1),"lines"))+
  theme(legend.key=element_blank())+
  theme(legend.text = element_text( size = 12))+theme(legend.position = "right",legend.box = "vertical")+
  theme(panel.border = element_rect(colour = "black",fill = NA))

mapRichness


mapEvenness <- ggplot() + 
  geom_polygon(data = world, aes(x=long, y = lat, group = group), fill="#fed976",color="black",size=0.001,alpha=0.4) + 
  coord_fixed(3,ylim = c(40, 70))+
  geom_point(data = pts, aes(x=longitude, y = latitude,col=Evenness),shape=19,alpha=1,size=1.7)+ 
  geom_point(position = "dodge")+
  scale_color_gradientn(colours=c('#feebe2','#fbb4b9','#f768a1','#c51b8a','#7a0177'),
                        
                        name=c("Species \n evenness"))+
  theme(panel.background = element_rect(fill= 'lightcyan',colour='lightcyan'),
        axis.line=element_blank(),
        axis.text.x=element_blank(),
        axis.text.y=element_blank(),
        axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),
        panel.border=element_blank(),
        panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),
        plot.background=element_blank(),
        plot.margin=unit(c(1,1,1,1),"lines"))+
  theme(legend.key=element_blank())+
  theme(legend.text = element_text( size = 12))+theme(legend.position = "right",legend.box = "vertical")+
  theme(panel.border = element_rect(colour = "black",fill = NA))

mapEvenness

mapFD <- ggplot() + 
  geom_polygon(data = world, aes(x=long, y = lat, group = group), fill="#fed976",color="black",size=0.001,alpha=0.4) + 
  coord_fixed(3,ylim = c(40, 70))+
  geom_point(data = pts, aes(x=longitude, y = latitude,col=FDis),shape=19,alpha=1,size=1.7)+ 
  geom_point(position = "dodge")+
  scale_color_gradientn(colours=c('#ffffb2','#fecc5c','#fd8d3c','#f03b20','#bd0026'),
                        
                        name=expression("FD"[is]))+
  
  theme(panel.background = element_rect(fill= 'lightcyan',colour='lightcyan'),
        axis.line=element_blank(),
        axis.text.x=element_blank(),
        axis.text.y=element_blank(),
        axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),
        panel.border=element_blank(),
        panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),
        plot.background=element_blank(),
        plot.margin=unit(c(1,1,1,1),"lines"))+
  theme(legend.key=element_blank())+
  theme(legend.text = element_text( size = 12))+theme(legend.position = "right",legend.box = "vertical")+
  theme(panel.border = element_rect(colour = "black",fill = NA))

mapFD
mapPC1 <- ggplot() + 
  geom_polygon(data = world, aes(x=long, y = lat, group = group), fill="#fed976",color="black",size=0.001,alpha=0.4) + 
  coord_fixed(3,ylim = c(40, 70))+
  geom_point(data = pts, aes(x=longitude, y = latitude,col=PC1),shape=19,alpha=1,size=1.7)+ 
  geom_point(position = "dodge")+
  scale_color_gradientn(colours=c('#f2f0f7','#cbc9e2','#9e9ac8','#756bb1','#54278f'),
                        
                        name=expression("CWM"[pc1]))+
  
  theme(panel.background = element_rect(fill= 'lightcyan',colour='lightcyan'),
        axis.line=element_blank(),
        axis.text.x=element_blank(),
        axis.text.y=element_blank(),
        axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),
        panel.border=element_blank(),
        panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),
        plot.background=element_blank(),
        plot.margin=unit(c(1,1,1,1),"lines"))+
  theme(legend.key=element_blank())+
  theme(legend.text = element_text( size = 12))+theme(legend.position = "right",legend.box = "vertical")+
  theme(panel.border = element_rect(colour = "black",fill = NA))

mapPC1

mapPC2 <- ggplot() + 
  geom_polygon(data = world, aes(x=long, y = lat, group = group), fill="#fed976",color="black",size=0.001,alpha=0.4) + 
  coord_fixed(3,ylim = c(40, 70))+
  geom_point(data = pts, aes(x=longitude, y = latitude,col=PC2),shape=19,alpha=1,size=1.7)+ 
  geom_point(position = "dodge")+
  scale_color_gradientn(colours=c('#ffffcc','#a1dab4','#41b6c4','#2c7fb8','#253494'),
                        
                        name=expression("CWM"[pc2]))+
  
  theme(panel.background = element_rect(fill= 'lightcyan',colour='lightcyan'),
        axis.line=element_blank(),
        axis.text.x=element_blank(),
        axis.text.y=element_blank(),
        axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),
        panel.border=element_blank(),
        panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),
        plot.background=element_blank(),
        plot.margin=unit(c(1,1,1,1),"lines"))+
  theme(legend.key=element_blank())+
  theme(legend.text = element_text( size = 12))+theme(legend.position = "right",legend.box = "vertical")+
  theme(panel.border = element_rect(colour = "black",fill = NA))

mapPC2


rbind_gtable_max <- function(...){
  gtl <- list(...)
  stopifnot(all(sapply(gtl, is.gtable)))
  bind2 <- function (x, y) 
  {
    stopifnot(ncol(x) == ncol(y))
    if (nrow(x) == 0) 
      return(y)
    if (nrow(y) == 0) 
      return(x)
    y$layout$t <- y$layout$t + nrow(x)
    y$layout$b <- y$layout$b + nrow(x)
    x$layout <- rbind(x$layout, y$layout)
    x$heights <- gtable:::insert.unit(x$heights, y$heights)
    x$rownames <- c(x$rownames, y$rownames)
    x$widths <- grid::unit.pmax(x$widths, y$widths)
    x$grobs <- append(x$grobs, y$grobs)
    x
  }
  
  Reduce(bind2, gtl)
}



tiff("map.tiff",height=7000,width=4500,res=600,compression="lzw")
grid.arrange(mapMAT,mapCMI,mapRichness,mapEvenness,mapFD,mapPC1,mapPC2,ncol=2)
grid.text("a",x=unit(0.03,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=16,font=2))
grid.text("b",x=unit(0.53,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=16,font=2))
grid.text("c",x=unit(0.03,"npc"),y=unit(0.743,"npc"),gp=gpar(fontsize=16,font=2))
grid.text("d",x=unit(0.53,"npc"),y=unit(0.743,"npc"),gp=gpar(fontsize=16,font=2))
grid.text("e",x=unit(0.03,"npc"),y=unit(0.494,"npc"),gp=gpar(fontsize=16,font=2))
grid.text("f",x=unit(0.53,"npc"),y=unit(0.494,"npc"),gp=gpar(fontsize=16,font=2))
grid.text("g",x=unit(0.03,"npc"),y=unit(0.25,"npc"),gp=gpar(fontsize=16,font=2))


dev.off()




####For extended data figure 3-6####



soil_for_TF1<-soil_for_T[,c("R_T","Evenness","FDis","CMIave","MATave","site_age","PC1","PC2","EAN","EN","EDepth","EADepth")]
soil_for_TF1$CMIave<-soil_for_TF1$CMIave


Mod3<-lm(EAN~R_T,soil_for_TF1);summary(Mod3)
Mod3<-lm(EADepth~R_T+FDis+PC1+PC2,soil_for_TF1);summary(Mod3)


soil_for_TF1 <- melt(soil_for_TF1, id.vars = c("EAN"))



soil_for_TF2<-soil_for_T[,c("R_T","Evenness","FDis","CMIave","MATave","site_age","PC1","PC2","EAC","EC","EDepth","EADepth")]
soil_for_TF2$CMIave<-soil_for_TF2$CMIave

Mod3<-lm(EAC~R_T,soil_for_TF2);summary(Mod3)
#Mod4<-lm(EAC~R_T+FDis+PC1+PC2+site_age+ECN+EN+MATave+CMIave,soil_for_TF2);summary(Mod4)



soil_for_TF2 <- melt(soil_for_TF2, id.vars = c("EAC"))


soil_for_T2$variable<-c("AGB")
soil_for_T1F<-soil_for_T2[,c("EAN","variable","PBioG")]
names(soil_for_T1F)<-c("EAN","variable","value")

soil_for_T1F$value<-soil_for_T1F$value
soil_for_T1F<-rbind(soil_for_TF1,soil_for_T1F)


soil_for_T2F<-soil_for_T2[,c("EAC","variable","PBioG")]
names(soil_for_T2F)<-c("EAC","variable","value")

soil_for_T2F$value<-soil_for_T2F$value
soil_for_T2F<-rbind(soil_for_TF2,soil_for_T2F)


soil_for_T1F$variable<-factor(soil_for_T1F$variable,levels = c("MATave","CMIave","EDepth","EN","site_age","R_T","Evenness","FDis","PC1","PC2","AGB","EADepth"),
                              labels=c(expression("MAT ("*degree * "C)"),expression("CMI"~"(mm)"),expression("Horizon thickness"~"(cm)"),expression("Organic horizon soil N content"~"(g/kg)"),expression("Stand age"~"(years)"),
                                       expression(Species~richness),expression(Species~evenness),expression("FD"[is]),expression("CWM"[PC1]),expression("CWM"[PC2]),expression("Primary productivity (kg m"^{"-2"}~decade^-1~")"),expression(Delta~Thickness~"(cm"~decade^-1~")")))


soil_for_T2F$variable<-factor(soil_for_T2F$variable,levels = c("MATave","CMIave","EDepth","EC","site_age","R_T","Evenness","FDis","PC1","PC2","AGB","EADepth"),
                              labels=c(expression("MAT ("*degree * "C)"),expression("CMI"~"(mm)"),expression("Horizon thickness"~"(cm)"),expression("Organic horizon soil C content"~"(g/kg)"),expression("Stand age"~"(years)"),
                                       expression(Species~richness),expression(Species~evenness),expression("FD"[is]),expression("CWM"[PC1]),expression("CWM"[PC2]),expression("Primary productivity (kg m"^{"-2"}~decade^-1~")"),expression(Delta~Thickness~"(cm"~decade^-1~")")))



F3Sa<-ggplot(soil_for_T2F,aes(x=value,y=EAC)) + 
  
  
  geom_point(aes(x=value,y=EAC),pch=1,size=3,col="blue")+ 
  geom_point(aes(x=value,y=EAC+3),pch=1,size=3,col=NA)+ 
  geom_smooth(aes(x=value,y=EAC),col= "red",alpha=0.3, method = 'lm',fill="grey50", formula = y~x)+
  facet_wrap(variable~.,scales="free",labeller = "label_parsed",switch = "x",nrow=6)+
  stat_poly_eq(aes(label =  paste(after_stat(adj.rr.label),
                                  after_stat(p.value.label),
                                  sep = "*\", \"*")),
               formula = my.formula,label.y = "top",
               label.x = "left",
               rr.digits =2,
               p.digits = 3,
               hjust=0 ,vjust=0.65)+
  
  
  xlab("")+
  
  ylab(expression(Delta~"Soil C"[Organic]~"stock (kg m"^{"-2"}~decade^-1~")"))+
  scale_y_continuous(breaks=number_ticks(4))+
  scale_x_continuous(breaks=number_ticks(4))+
  theme(panel.spacing.y=unit(1, "lines"))+
  
  theme(legend.position = "top",
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,1,1,1),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 12),
        axis.title = element_text(size = 12),
        legend.text = element_text(size = 12),
        
        legend.title = element_text(size = 12))
F3Sa

F3Sb<-ggplot(soil_for_T1F,aes(x=value,y=EAN)) + 
  
  
  geom_point(aes(x=value,y=EAN),pch=1,size=3,col="blue")+ 
  geom_point(aes(x=value,y=EAN+0.3),pch=1,size=3,col=NA)+ 
  geom_smooth(aes(x=value,y=EAN),col= "red",alpha=0.3, method = 'lm',fill="grey50", formula = y~x)+
  facet_wrap(variable~.,scales="free",labeller = "label_parsed",switch = "x",nrow=6)+
  stat_poly_eq(aes(label =  paste(after_stat(adj.rr.label),
                                  after_stat(p.value.label),
                                  sep = "*\", \"*")),
               formula = my.formula,label.y = "top",
               label.x = "left",
               rr.digits =2,
               p.digits = 3,
               hjust=0 ,vjust=0.65)+
  
  
  xlab("")+
  
  ylab(expression(Delta~"Soil N"[Organic]~"stock (kg m"^{"-2"}~decade^-1~")"))+
  scale_y_continuous(breaks=number_ticks(4))+
  scale_x_continuous(breaks=number_ticks(4))+
  theme(panel.spacing.y=unit(1, "lines"))+
  
  theme(legend.position = "top",
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,0.7,1,1),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 12),
        axis.title = element_text(size = 12),
        legend.text = element_text(size = 12),
        
        legend.title = element_text(size = 12))
F3Sb## Extended data figure 3
tiff("Fig extended 3.tiff",height=5500,width=4250,res=300,compression="lzw")##have to get 600 dpi
grid.arrange(F3Sa,F3Sb,
             widths=c(1,1))

grid.text("a",x=unit(0.02,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))

grid.text("b",x=unit(0.255,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))
grid.text("c",x=unit(0.52,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))
grid.text("d",x=unit(0.75,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))


grid.text(expression(italic(R)[adj]^2~"< 0.01,"~italic(P)~"= 0.978"),x=unit(0.347,"npc"),y=unit(0.654,"npc"),gp=gpar(fontsize=11,col='black'))

dev.off()

soil_min_TF1<-soil_min_T[,c("R_T","Evenness","FDis","CMIave","MATave","site_age","PC1","PC2","EAN","EN")]
soil_min_TF1$CMIave<-soil_min_TF1$CMIave



soil_min_TF2<-soil_min_T[,c("R_T","Evenness","FDis","CMIave","MATave","site_age","PC1","PC2","EAC","EC")]
soil_min_TF2$CMIave<-soil_min_TF2$CMIave




Mod2<-lm(EAC~R_T+FDis+PC1+PC2,soil_min_TF2);summary(Mod2)


soil_min_TF1 <- melt(soil_min_TF1, id.vars = c("EAN"))
soil_min_TF2 <- melt(soil_min_TF2, id.vars = c("EAC"))
soil_min_T2$variable<-c("AGB")
soil_min_T1F<-soil_min_T2[,c("EAN","variable","PBioG")]
names(soil_min_T1F)<-c("EAN","variable","value")

soil_min_T1F$value<-soil_min_T1F$value
soil_min_T1F<-rbind(soil_min_TF1,soil_min_T1F)

soil_min_T2F<-soil_min_T2[,c("EAC","variable","PBioG")]
names(soil_min_T2F)<-c("EAC","variable","value")

soil_min_T2F$value<-soil_min_T2F$value
soil_min_T2F<-rbind(soil_min_TF2,soil_min_T2F)

soil_min_T1F$variable<-factor(soil_min_T1F$variable,levels = c("MATave","CMIave","EN","site_age","R_T","Evenness","FDis","PC1","PC2","AGB"),
                              labels=c(expression("MAT ("*degree * "C)"),expression("CMI"~"(mm)"),expression("Mineral horizon soil N content"~"(g/kg)"),expression("Stand age"~"(years)"),
                                       expression(Species~richness),expression(Species~evenness),expression("FD"[is]),expression("CWM"[PC1]),expression("CWM"[PC2]),expression("Primary productivity (kg m"^{"-2"}~decade^-1~")")))
soil_min_T2F$variable<-factor(soil_min_T2F$variable,levels = c("MATave","CMIave","EC","site_age","R_T","Evenness","FDis","PC1","PC2","AGB"),
                              labels=c(expression("MAT ("*degree * "C)"),expression("CMI"~"(mm)"),expression("Mineral horizon soil C content"~"(g/kg)"),expression("Stand age"~"(years)"),
                                       expression(Species~richness),expression(Species~evenness),expression("FD"[is]),expression("CWM"[PC1]),expression("CWM"[PC2]),expression("Primary productivity (kg m"^{"-2"}~decade^-1~")")))




my.formula <- y ~ x      ####define linear fit in fig 

F5Sa<-ggplot(soil_min_T2F,aes(x=value,y=EAC)) + 
  
  
  geom_point(aes(x=value,y=EAC),pch=1,size=3,col="blue")+ 
  geom_point(aes(x=value,y=EAC+2),pch=1,size=3,col=NA)+ 
  geom_smooth(aes(x=value,y=EAC),col= "red",alpha=0.3, method = 'lm',fill="grey50", formula = y~x)+
  facet_wrap(variable~.,scales="free",labeller = "label_parsed",switch = "x",nrow=5)+
  stat_poly_eq(aes(label =  paste(after_stat(adj.rr.label),
                                  after_stat(p.value.label),
                                  sep = "*\", \"*")),
               formula = my.formula,label.y = "top",
               label.x = "left",
               rr.digits =2,
               p.digits = 3,
               hjust=0 ,vjust=0.65)+
  
  
  xlab("")+
  
  ylab(expression(Delta~"Soil C"[Mineral]~"stock (kg m"^{"-2"}~decade^-1~")"))+
  scale_y_continuous(breaks=number_ticks(4))+
  scale_x_continuous(breaks=number_ticks(4))+
  theme(panel.spacing.y=unit(1, "lines"))+
  
  theme(legend.position = "top",
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,0.5,1,1),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 12),
        axis.title = element_text(size = 12),
        legend.text = element_text(size = 12),
        
        legend.title = element_text(size = 12))
F5Sa


F5Sb<-ggplot(soil_min_T1F,aes(x=value,y=EAN)) + 
  
  
  geom_point(aes(x=value,y=EAN),pch=1,size=3,col="blue")+ 
  geom_point(aes(x=value,y=EAN+0.2),pch=1,size=3,col=NA)+ 
  geom_smooth(aes(x=value,y=EAN),col= "red",alpha=0.3, method = 'lm',fill="grey50", formula = y~x)+
  facet_wrap(variable~.,scales="free",labeller = "label_parsed",switch = "x",nrow=5)+
  stat_poly_eq(aes(label =  paste(after_stat(adj.rr.label),
                                  after_stat(p.value.label),
                                  sep = "*\", \"*")),
               formula = my.formula,label.y = "top",
               label.x = "left",
               rr.digits =2,
               p.digits = 3,
               hjust=0 ,vjust=0.65)+
  
  
  xlab("")+
  
  ylab(expression(Delta~"Soil N"[Mineral]~"stock (kg m"^{"-2"}~decade^-1~")"))+
  scale_y_continuous(breaks=number_ticks(4))+
  scale_x_continuous(breaks=number_ticks(4))+
  theme(panel.spacing.y=unit(1, "lines"))+
  
  theme(legend.position = "top",
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,0.7,1,1),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 12),
        axis.title = element_text(size = 12),
        legend.text = element_text(size = 12),
        
        legend.title = element_text(size = 12))
F5Sb## Extended data figure 5
tiff("Fig extended 5.tiff",height=5500,width=4250,res=300,compression="lzw")##have to get 600 dpi## Extended data figure 5

grid.arrange(F5Sa,F5Sb,
             widths=c(1,1))

grid.text("a",x=unit(0.02,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))

grid.text("b",x=unit(0.255,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))
grid.text("c",x=unit(0.52,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))
grid.text("d",x=unit(0.75,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))
dev.off()





soil_for_TF1D<-soil_for_T[,c("R_T","Evenness","FDis","CMIave","MATave","site_age","PC1","PC2","EC","EN","EDepth","EADepth")]
soil_for_TF1D$CMIave<-soil_for_TF1D$CMIave
soil_for_TF1D<- melt(soil_for_TF1D, id.vars = c("EADepth"))
soil_for_T2$variable<-c("AGB")
soil_for_T1FD<-soil_for_T2[,c("EADepth","variable","PBioG")]
names(soil_for_T1FD)<-c("EADepth","variable","value")
soil_for_T1FD<-rbind(soil_for_TF1D,soil_for_T1FD)


soil_for_T1FD$variable<-factor(soil_for_T1FD$variable,levels = c("MATave","CMIave","EDepth","EC","EN","site_age","R_T","Evenness","FDis","PC1","PC2","AGB"),
                               labels=c(expression("MAT ("*degree * "C)"),expression("CMI"~"(mm)"),expression("Horizon thickness"~"(cm)"),expression("Organic horizon soil C content"~"(g/kg)"),expression("Organic horizon soil N content"~"(g/kg)"),expression("Stand age"~"(years)"),
                                        expression(Species~richness),expression(Species~evenness),expression("FD"[is]),expression("CWM"[PC1]),expression("CWM"[PC2]),expression("Primary productivity (kg m"^{"-2"}~decade^-1~")")))



F4Sa<-ggplot(soil_for_T1FD,aes(x=value,y=EADepth)) + 
  
  
  geom_point(aes(x=value,y=EADepth),pch=1,size=3,col="blue")+ 
  geom_point(aes(x=value,y=EADepth+20),pch=1,size=3,col=NA)+ 
  geom_smooth(aes(x=value,y=EADepth),col= "red",alpha=0.3, method = 'lm',fill="grey50", formula = y~x)+
  facet_wrap(variable~.,scales="free",labeller = "label_parsed",switch = "x",nrow=6)+
  stat_poly_eq(aes(label =  paste(after_stat(adj.rr.label),
                                  after_stat(p.value.label),
                                  sep = "*\", \"*")),
               formula = my.formula,label.y = "top",
               label.x = "left",
               rr.digits =2,
               p.digits = 3,
               hjust=0 ,vjust=0.65)+
  
  
  xlab("")+
  
  ylab(expression(Delta~Thickness~"(cm"~decade^-1~")"))+
  scale_y_continuous(breaks=number_ticks(4))+
  scale_x_continuous(breaks=number_ticks(4))+
  theme(panel.spacing.y=unit(1, "lines"))+
  
  theme(legend.position = "top",
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,1,1,1),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 12),
        axis.title = element_text(size = 12),
        legend.text = element_text(size = 12),
        
        legend.title = element_text(size = 12))
F4Sa


tiff("Extended fig 4.tiff",height=9500,width=5000,res=600,compression="lzw")##have to get 600 dpi
F4Sa

grid.text("a",x=unit(0.05,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))

grid.text("b",x=unit(0.50,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))

dev.off()




Tree271<-GPRO
Tree271<-Tree271[,c(2:10)]

Tree271 <- melt(Tree271, id.vars = c("PBioG"))

soil_min_T2F1<-soil_min_T2[,c("PBioG","EN")]
soil_min_T2F1$variable<-c("MBNC")
names(soil_min_T2F1)<-c("PBioG","value","variable")


soil_min_T2F3<-soil_min_T2[,c("PBioG","EC")]
soil_min_T2F3$variable<-c("MBCC")
names(soil_min_T2F3)<-c("PBioG","value","variable")






soil_for_T2F1<-soil_for_T2[,c("PBioG","EN")]
soil_for_T2F1$variable<-c("OBNC")
names(soil_for_T2F1)<-c("PBioG","value","variable")


soil_for_T2F3<-soil_for_T2[,c("PBioG","EC")]
soil_for_T2F3$variable<-c("OBCC")
names(soil_for_T2F3)<-c("PBioG","value","variable")


Tree272<-rbind(Tree271,soil_min_T2F1,soil_for_T2F1,soil_min_T2F3,soil_for_T2F3)
#Tree272<-read.csv("productivity.csv")

Tree272$variable<-factor(Tree272$variable,levels = c("MATave","CMIave","OBCC","OBNC","MBCC","MBNC","site_age","R_T","Evenness","FDis","PC1","PC2"),
                         labels=c(expression("MAT ("*degree * "C)"),expression("CMI"~"(mm)"),expression("Organic horizon soil C content"~"(g/kg)"),expression("Organic horizon soil N content"~"(g/kg)"),
                                  expression("Mineral horizon soil C content"~"(g/kg)"),expression("Mineral horizon soil N content"~"(g/kg)"),expression("Stand age"~"(years)"),
                                  
                                  expression(Species~richness),expression(Species~evenness),expression("FD"[is]),expression("CWM"[PC1]),expression("CWM"[PC2])))

F6Sa<-ggplot(Tree272,aes(x=value,y=PBioG)) + 
  
  
  geom_point(aes(x=value,y=PBioG),pch=1,size=3,col="blue")+ 
  geom_point(aes(x=value,y=PBioG+4),pch=1,size=3,col=NA)+ 
  geom_smooth(aes(x=value,y=PBioG),col= "red",alpha=0.3, method = 'lm',fill="grey50", formula = y~x)+
  facet_wrap(variable~.,scales="free",labeller = "label_parsed",switch = "x",nrow=7)+
  stat_poly_eq(aes(label =  paste(after_stat(adj.rr.label),
                                  after_stat(p.value.label),
                                  sep = "*\", \"*")),
               formula = my.formula,label.y = "top",
               label.x = "left",
               rr.digits =2,
               p.digits = 3,
               hjust=0 ,vjust=0.65)+
  
  
  xlab("")+
  
  ylab(expression("Primary productivity (kg m"^{"-2"}~decade^-1~")"))+
  scale_y_continuous(breaks=number_ticks(4))+
  scale_x_continuous(breaks=number_ticks(4))+
  theme(panel.spacing.y=unit(1, "lines"))+
  
  theme(legend.position = "top",
        strip.text.y  = element_blank(),
        strip.text.x =  element_text(size = 12),
        strip.background = element_blank(), 
        plot.background = element_blank(),
        plot.margin=unit(c(1,1,1,1),"lines"))+
  Ftheme+
  theme(strip.placement = "in",
        axis.text = element_text(size = 12),
        axis.title = element_text(size = 12),
        legend.text = element_text(size = 12),
        
        legend.title = element_text(size = 12))
F6Sa
tiff("Extended fig 6.tiff",height=10500,width=5000,res=600,compression="lzw")##have to get 600 dpi
F6Sa

grid.text("a",x=unit(0.05,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))

grid.text("b",x=unit(0.50,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,col='black',fontface = "bold"))

dev.off()





